Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 280602 - <dev-lang/php-5.2.11-r1 Memory disclosure (CVE-2009-2626)
Summary: <dev-lang/php-5.2.11-r1 Memory disclosure (CVE-2009-2626)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://securityreason.com/achievement...
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-06 20:20 UTC by Robert Buchholz (RETIRED)
Modified: 2010-01-05 21:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Buchholz (RETIRED) gentoo-dev 2009-08-06 20:20:23 UTC
Maksymilian Arciemowicz reported a Memory Disclosure vulnerability in zend_ini.c.

Patches:

http://svn.php.net/viewvc/php/php-src/branches/PHP_5_2/main/main.c?r1=283668&r2=283946
http://svn.php.net/viewvc/php/php-src/branches/PHP_5_2/Zend/zend_ini.c?r1=284188&r2=272374
Comment 1 Tobias Heinlein (RETIRED) gentoo-dev 2009-11-29 10:07:41 UTC
This is fixed in latest stable (5.2.11-r1).
Comment 2 Stefan Behte (RETIRED) gentoo-dev Security 2009-12-18 01:29:35 UTC
CVE-2009-2626 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-2626):
  The zend_restore_ini_entry_cb function in zend_ini.c in PHP 5.3.0,
  5.2.10, and earlier versions allows context-specific attackers to
  obtain sensitive information (memory contents) and cause a PHP crash
  by using the ini_set function to declare a variable, then using the
  ini_restore function to restore the variable.

Comment 3 Tobias Heinlein (RETIRED) gentoo-dev 2010-01-05 21:14:03 UTC
GLSA 201001-03.

Thank you everyone, sorry about the delay.